summaryrefslogtreecommitdiffstats
path: root/abs/core/apache/httpd
diff options
context:
space:
mode:
authorJames Meyer <James.meyer@operamail.com>2008-10-02 03:19:12 (GMT)
committerJames Meyer <James.meyer@operamail.com>2008-10-02 03:19:12 (GMT)
commit0e2532d4e8f4eed5e047f1db54d5c03ba849ec0a (patch)
treec0aa2c0b53c317be87eacfcb77b63f53f1f415e7 /abs/core/apache/httpd
downloadlinhes_pkgbuild-0e2532d4e8f4eed5e047f1db54d5c03ba849ec0a.zip
linhes_pkgbuild-0e2532d4e8f4eed5e047f1db54d5c03ba849ec0a.tar.gz
linhes_pkgbuild-0e2532d4e8f4eed5e047f1db54d5c03ba849ec0a.tar.bz2
initial import
Diffstat (limited to 'abs/core/apache/httpd')
-rwxr-xr-xabs/core/apache/httpd40
1 files changed, 40 insertions, 0 deletions
diff --git a/abs/core/apache/httpd b/abs/core/apache/httpd
new file mode 100755
index 0000000..da4de25
--- /dev/null
+++ b/abs/core/apache/httpd
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+# general config
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+ start)
+ stat_busy "Starting HTTP Daemon"
+ /usr/sbin/apachectl start &>/dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon httpd
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping HTTP Daemon"
+ /usr/sbin/apachectl stop &>/dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon httpd
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 3
+ $0 start
+ ;;
+ reload)
+ if [ -f /var/run/httpd/httpd.pid ]; then
+ status "Reloading HTTP Configuration" kill -HUP `cat /var/run/httpd/httpd.pid`
+ fi
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart|reload}"
+esac